
Ruby - Bug #12448

vm_call_cfunc - cfp consistency error

05/31/2016 07:06 PM - jneander (Jeremy Neander)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.2.4p230 (2015-12-16 revision

53155) [x86_64-darwin15]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

I am not sure what to say about this bug. I captured multiple ruby crash logs, plus the console output from one execution.

Related issues:

Related to Ruby - Bug #11903: [BUG] vm_call_cfunc - cfp consistency error Closed

History

#1 - 05/31/2016 07:36 PM - jneander (Jeremy Neander)

describe "DELETE destroy" do

  let(:term) { root_account.enrollment_terms.create! }

  let(:group) { group_helper.create_for_enrollment_term(term) }

  let(:period) { period.create_for_group(group) } # this is part of the problem

  it "destroys the requested grading period" do

    period

  end

end

 Attempts to reproduce outside of the project result in stack overflows. The above code lives in a Rails 4.0.13 project.

#2 - 04/04/2017 10:02 PM - wanabe (_ wanabe)

- Related to Bug #11903: [BUG] vm_call_cfunc - cfp consistency error added

#3 - 07/24/2019 11:30 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed
